Notebooks
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
POST | |
DELETE | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
POST | |
GET | |
POST | |
POST | |
GET | |
POST | |
POST | |
POST | |
POST |
List all notebooks
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
notebook:readQuery parameters
- containsstring
- created_bystring
- date_fromstring
- date_tostring
- limitinteger
- offsetinteger
- userstring
Response
Example request
GET /api /projects /:project_id /notebooksExample response
Status 200
Create notebooks
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
notebook:writeRequest parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Response
Example request
POST /api /projects /:project_id /notebooksExample response
Status 201
List all notebooks sharing
Required API key scopes
sharing_configuration:readPath parameters
- notebook_idstring
Example request
GET /api /projects /:project_id /notebooks /:notebook_id /sharingExample response
Status 200
Create notebooks sharing passwords
Create a new password for the sharing configuration.
Required API key scopes
sharing_configuration:writePath parameters
- notebook_idstring
Request parameters
- enabledboolean
- settings
- password_requiredboolean
Response
Example request
POST /api /projects /:project_id /notebooks /:notebook_id /sharing /passwordsExample response
Status 200
Delete notebooks sharing passwords
Delete a password from the sharing configuration.
Required API key scopes
sharing_configuration:writePath parameters
- notebook_idstring
- password_idstring
Example request
DELETE /api /projects /:project_id /notebooks /:notebook_id /sharing /passwords /:password_idExample response
Status 204 No response body
Create notebooks sharing refresh
Required API key scopes
sharing_configuration:writePath parameters
- notebook_idstring
Request parameters
- enabledboolean
- settings
- password_requiredboolean
Response
Example request
POST /api /projects /:project_id /notebooks /:notebook_id /sharing /refreshExample response
Status 200
Retrieve notebooks
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
notebook:readPath parameters
- short_idstring
Response
Example request
GET /api /projects /:project_id /notebooks /:short_idExample response
Status 200
Update notebooks
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
notebook:writePath parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Response
Example request
PATCH /api /projects /:project_id /notebooks /:short_idExample response
Status 200
Delete notebooks
Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true
Required API key scopes
notebook:writePath parameters
- short_idstring
Example request
DELETE /api /projects /:project_id /notebooks /:short_idExample response
Status 405 No response body
Retrieve notebooks activity
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
activity_log:readPath parameters
- short_idstring
Example request
GET /api /projects /:project_id /notebooks /:short_id /activityExample response
Status 200 No response body
Create notebooks collab save
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
notebook:writePath parameters
- short_idstring
Request parameters
- client_idstring
- versioninteger
- stepsarray
- content
- text_contentstringDefault:
- titlestring
- cursor_headintegernull
Example request
POST /api /projects /:project_id /notebooks /:short_id /collab /saveExample response
Status 200 No response body
Retrieve notebooks collab stream
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Required API key scopes
notebook:readPath parameters
- short_idstring
Example request
GET /api /projects /:project_id /notebooks /:short_id /collab /streamExample response
Status 200 No response body
Create notebooks hogql execute
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Example request
POST /api /projects /:project_id /notebooks /:short_id /hogql /executeExample response
Status 200 No response body
Create notebooks kernel config
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Example request
POST /api /projects /:project_id /notebooks /:short_id /kernel /configExample response
Status 200 No response body
Retrieve notebooks kernel dataframe
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Example request
GET /api /projects /:project_id /notebooks /:short_id /kernel /dataframeExample response
Status 200 No response body
Create notebooks kernel execute
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Example request
POST /api /projects /:project_id /notebooks /:short_id /kernel /executeExample response
Status 200 No response body
Create notebooks kernel execute stream
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Example request
POST /api /projects /:project_id /notebooks /:short_id /kernel /execute /streamExample response
Status 200 No response body
Create notebooks kernel restart
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Example request
POST /api /projects /:project_id /notebooks /:short_id /kernel /restartExample response
Status 200 No response body
Create notebooks kernel start
The API for interacting with Notebooks. This feature is in early access and the API can have breaking changes without announcement.
Path parameters
- short_idstring
Request parameters
- titlestringnull
- content
- text_contentstringnull
- versioninteger
- deletedboolean
- _create_in_folderstring
Example request
POST /api /projects /:project_id /notebooks /:short_id /kernel /start